# Interface AjaxOptions<T>

interface AjaxOptions<T extends AjaxResponseType = AjaxResponseType> {
networkSubscribe?: NetworkSubscribe;
requestProxy?: (url: string) => string | Promise<string>;
responseType?: T;
timeout?: number;
}

#### Type Parameters

- T extends AjaxResponseType = AjaxResponseType

#### Hierarchy (View Summary)

- NetworkOptions
  - AjaxOptions

- Defined in lib/five/utils/ajax.ts:112

##### Index

### Properties

networkSubscribe?
requestProxy?
responseType?
timeout?

## Properties

### `Optional` networkSubscribe

networkSubscribe?: NetworkSubscribe

网络消息追踪

Inherited from NetworkOptions.networkSubscribe

- Defined in lib/five/utils/ajax.ts:105

### `Optional` requestProxy

requestProxy?: (url: string) => string | Promise<string>

请求代理

Inherited from NetworkOptions.requestProxy

- Defined in lib/five/utils/ajax.ts:103

### `Optional` responseType

responseType?: T

数据返回类型

- Defined in lib/five/utils/ajax.ts:114

### `Optional` timeout

timeout?: number

超时时间

Inherited from NetworkOptions.timeout

- Defined in lib/five/utils/ajax.ts:101